/*
 * Created by Stefan Korecko, 2016-18
 */

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Kód, ktorý sa vykoná pri načítaní skriptu
// Code executed when the script is loaded

var artId = queryString2obj().id;
var restURL ="http://"+server+"/api/article/"+artId;

writeArticle2Html(restURL,"article",artId);


//Pridanie funkcionality pre kliknutie na tlacidla
//Adding functionality for buttons

$("#btArtList").click(function(){
    window.location.href='index.html';
});

$("#btUpdate").click(function(){
    window.location.href='articleForm.html?id='+artId;
});

$("#btDelete").click(function(){
    deleteArticle(restURL);
});


////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//funkcie
//functions

/**
 * ako v predchadzajucich prikladoch
 * as in the previous examples
 */
function writeArticle2Html(sourceURL,articleElmId, articleId){
    if (isFinite(articleId)){
        $.ajax({
            type: 'GET',
            url: sourceURL,
            dataType: "json",
            success: function (article) {
                $.get("templates/article.mst",      //get() is a special version of ajax()
                    function (template) {
                        $("#"+articleElmId).html(Mustache.render(template, article));
                    }
                    ,"text")
            },
            error:function(jxhr){
                errorAlert("Načitanie článku zlyhalo (article loading failed).",jxhr);
            }
        });
    }
}

/**
 * Vymazanie článku aj s komentármi
 * @param articleId - id článku na vymazanie
 *
 * Deletes an article, including its comments
 * @param articleId - id of the article to be deleted
 */
function deleteArticle(sourceURL){
    if(window.confirm("Skutočne si želáte vymazať článok aj s jeho komentármi? \nDo you really wish to delete the article, including its comments?")) {

        $.ajax({
            type: 'DELETE',
            url: sourceURL,
            success: function () {
                window.alert("Článok úspešne vymazaný (article successfully deleted).");
                window.location.href = "index.html";
            },
            error: function (jxhr) {
                errorAlert("Vymazanie neúspešné (delete failed).",jxhr);
            }
        });

    }
}